<?php
/*======================================================================*\
|| #################################################################### ||
|| # Package - YJ Sphere Slider		 							        ||
|| # Copyright (C) since 2007  Youjoomla.com. All Rights Reserved.      ||
|| # license - PHP files are licensed under  GNU/GPL V2                 ||
|| # license - CSS  - JS - IMAGE files  are Copyrighted material        ||
|| # bound by Proprietary License of Youjoomla.com                      ||
|| # for more information visit http://www.youjoomla.com/license.html   ||
|| # Redistribution and  modification of this software                  ||
|| # is bounded by its licenses                                         ||
|| # websites - http://www.youjoomla.com | http://www.yjsimplegrid.com  ||
|| #################################################################### ||
\*======================================================================*/
// no direct access
defined('_JEXEC') or die('Restricted access');
class YJSphereHelper
	{
		
		static function YJSphereItems(&$params,$modid,$sphereheight)
		{
			  /**
			   * Parameters
			   */
		  
			  $order 					= $params->get('order');
			  $autoslide				= $params->get('autoslide');
			  $backOpacity				= $params->get('backOpacity');
			  $visiblePortion			= $params->get('visiblePortion');
			  $visible					= $params->get('visible');
			  $zoomingStep				= $params->get('zoomingStep');
			  /**
			   * Load scripts and stylesheets
			   */
			  JHtml::_('behavior.framework',true);
			  $document = JFactory::getDocument();
			  $document->addStyleSheet(JURI::base() . 'modules/mod_yj_sphere_slider/css/stylesheet.css');
			  $document->addScript(JURI::base() . 'modules/mod_yj_sphere_slider/src/mod_yj_sphere_slider.js');

			  $document->addScriptDeclaration("
						$(document).addEvent('domready', function(){
							var d = new SphereSlider({
								outsidecont:'SphereSliderHolder".$modid."',
								container:'SphereSlider".$modid."',
								items:'div.sphereslide',
								images:'.sphere',
								autoSlide: ".$autoslide.", 
								zoomingStep:".$zoomingStep.", 
								visible:".$visible.",
								visiblePortion:".$visiblePortion.",  
								imageWidth:".$sphereheight.",
								imageHeight:".$sphereheight.",
								backZoom:1,
								backOpacity:".$backOpacity."
							});
						});
				  
			  ");
			  $document->addStyleDeclaration("#SphereSlider".$modid."{height:".$sphereheight."px;}");
			  /**
			   * slides order
			   */
			  $show_order = range(0,10);
			  if($order == 1)
			  {
				  srand((float)microtime()*1000000);
				  shuffle($show_order); 
			  }
			  /**
			   * Slides info
			   */
			  $slides = array();
			  foreach ($show_order as $i)
			  {
				  $image = $params->get('slide_image_'.($i+1));
				  if (empty($image) || $image==-1)  continue;		
				  
				  $slide = array(
					  'title' 				=> $params->get('slide_title_'.($i+1)),
					  'intro' 				=> $params->get('slide_intro_'.($i+1)),
					  'image'				=> $image,
					  'mboxlink' 			=> $params->get('mboxlink_'.($i+1)),
					  'mboxtype' 			=> $params->get('mboxtype_'.($i+1)),
					  'video_width' 		=> $params->get('video_width_'.($i+1)),
					  'video_height' 		=> $params->get('video_height_'.($i+1)),
					  'image_group' 		=> $params->get('image_group_'.($i+1)),
					  'image_group_name' 	=> $params->get('image_group_name_'.($i+1)),
					  'link' 				=> $params->get('slide_link_'.($i+1)),
					  'open' 				=> $params->get('slide_open_'.($i+1)),
					  'description' 		=> $params->get('slide_description_'.($i+1)),
					  'thumbnail'			=> $params->get('slide_thumb_'.($i+1)),
					  'gen_thumbnail'		=> $params->get('slide_genthumb_'.($i+1))
				  );
				  $slides[] = $slide;
				  
			  } 
			  
			  return $slides;
			
	    }
}

?>